function [out_notes, out_index, out_direction] = noteskstepsmodelfirstofid(k, in_id, in_n_notes, in_index, array_of_ids, array_of_notes, in_direction)
    out_notes = zeros(1,in_n_notes);
    index = in_index;
    max_index = length(array_of_notes);

    condition = 0;
    if in_direction == -1
        condition = 1;
    elseif in_direction == 0
        condition = round(rand);
    elseif in_direction == 1
        condition = 0;
    end
    if condition
        [index, succeeded] = skipdowntoid(in_id, index, array_of_ids);
        if ~succeeded
            [index, ] = skipuptoid(in_id, index, array_of_ids);
        end
    else
        [index, succeeded] = skipuptoid(in_id, index, array_of_ids);
        if ~succeeded
            [index, ] = skipdowntoid(in_id, index, array_of_ids);
        end
    end
    out_notes(1) = array_of_notes(index);
    
    out_direction = 0;
    if in_n_notes > 1
        for note_index = 2:in_n_notes
            if rand < 0.5
                [index, succeeded] = kstepsdown(k, index);
                if ~succeeded
                    [index, ] = kstepsup(k, index, max_index);
                end
            else
                [index, succeeded] = kstepsup(k, index, max_index);
                if ~succeeded
                    [index, ] = kstepsdown(k, index);
                end
            end
            out_notes(note_index) = array_of_notes(index);
        end 
        diff = out_notes(end)-out_notes(end-1);
        out_direction = 2*(diff > 0)-1;
    end
    out_index = index;
end