function [out_notes, out_index, out_direction] = notesonestepmodel(in_n_notes, in_index, array_of_notes, in_direction)
    out_notes = zeros(1,in_n_notes);
    index = in_index;
    max_index = length(array_of_notes);
    condition = 0;
    for note_index = 1:in_n_notes
        if note_index == 1
            if in_direction == -1
                condition = 1;
            elseif in_direction == 0
                condition = round(rand);
            elseif in_direction == 1
                condition = 0;
            end
        else
            condition = round(rand);
        end
        if condition
            [index, succeeded] = onestepdown(index);
            if ~succeeded
                [index, ] = onestepup(index, max_index);
            end
        else
            [index, succeeded] = onestepup(index, max_index);
            if ~succeeded
                [index, ] = onestepdown(index);
            end
        end
        out_notes(note_index) = array_of_notes(index);
    end
    out_index = index;
    out_direction = 0;
    if in_n_notes > 1
        diff = out_notes(end)-out_notes(end-1);
        out_direction = 2*(diff > 0)-1;
    end
end